Matches
Get match stats
Returns team stats for a played match: possession, shots, xG, passes, duels, defending and goalkeeping, each split into full match, first half and second half. While the match is live it returns 409 (MATCH_IS_LIVE); use /live-stats instead.
Example: GET /football/matches/mt_838955483/stats
GET
/
football
/
matches
/
{match_id}
/
stats
Get match stats
curl --request GET \
--url https://api.thestatsapi.com/api/football/matches/{match_id}/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/matches/{match_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/matches/{match_id}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"match_id": "mt_838955483",
"overview": {
"ball_possession": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"expected_goals": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"big_chances": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"total_shots": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_on_target": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"goalkeeper_saves": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"corner_kicks": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"fouls": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"yellow_cards": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"red_cards": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"passes": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"accurate_passes": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"tackles": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"free_kicks": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"shots": {
"total_shots": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_on_target": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_off_target": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"blocked_shots": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_inside_box": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_outside_box": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"hit_woodwork": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"attack": {
"big_chances_missed": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"touches_in_penalty_area": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"fouled_in_final_third": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"offsides": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"passes": {
"accurate_passes": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"throw_ins": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"accurate_crosses": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"accurate_long_balls": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"final_third_entries": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"duels": {
"duels_won_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"dispossessed": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"dribbles_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"ground_duels_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"aerial_duels_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"defending": {
"tackles": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"tackles_won_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"interceptions": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"clearances": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"ball_recoveries": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"goalkeeping": {
"saves": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"goal_kicks": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"goals_prevented": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"high_claims": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"np_expected_goals": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
}
}During a match, use Get live match stats. See Player and team stats.
Authorizations
Your API key, sent as Authorization: Bearer YOUR_API_KEY. Get one at https://www.thestatsapi.com/api-keys
Path Parameters
⌘I
Get match stats
curl --request GET \
--url https://api.thestatsapi.com/api/football/matches/{match_id}/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thestatsapi.com/api/football/matches/{match_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thestatsapi.com/api/football/matches/{match_id}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"match_id": "mt_838955483",
"overview": {
"ball_possession": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"expected_goals": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"big_chances": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"total_shots": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_on_target": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"goalkeeper_saves": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"corner_kicks": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"fouls": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"yellow_cards": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"red_cards": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"passes": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"accurate_passes": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"tackles": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"free_kicks": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"shots": {
"total_shots": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_on_target": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_off_target": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"blocked_shots": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_inside_box": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"shots_outside_box": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"hit_woodwork": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"attack": {
"big_chances_missed": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"touches_in_penalty_area": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"fouled_in_final_third": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"offsides": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"passes": {
"accurate_passes": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"throw_ins": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"accurate_crosses": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"accurate_long_balls": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"final_third_entries": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"duels": {
"duels_won_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"dispossessed": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"dribbles_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"ground_duels_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"aerial_duels_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"defending": {
"tackles": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"tackles_won_percentage": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"interceptions": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"clearances": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"ball_recoveries": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"goalkeeping": {
"saves": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"goal_kicks": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"goals_prevented": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
},
"high_claims": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
},
"np_expected_goals": {
"all": {
"home": 123,
"away": 123
},
"first_half": {
"home": 123,
"away": 123
},
"second_half": {
"home": 123,
"away": 123
}
}
}
}